### Method

# FwupdPlugin CsvFirmware add_column_id

#### Declaration [src]

    void
    fu_csv_firmware_add_column_id (
      FuCsvFirmware* self,
      const gchar* column_id
    )

#### Description [src]

Adds a column ID.

There are several optional magic column IDs that map to `FuFirmware` properties:

- `$id` sets the firmware ID
- `$idx` sets the firmware index
- `$version` sets the firmware version
- `$version_raw` sets the raw firmware version.

Available since: | 1.9.3

#### Parameters

`column_id` | `const gchar*`
| String, e.g. `component_generation`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.